<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    tools:layout_gravity="center"
    tools:layout_height="360dp"
    tools:layout_width="360dp">

    <com.adealink.weparty.commonui.imageview.GIFImageView
        android:id="@+id/imageIv"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:scaleType="centerCrop"
        app:layout_constraintDimensionRatio="H,1:1"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:roundedCornerRadius="4dp" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_gif_tag"
        android:layout_width="39dp"
        android:layout_height="20dp"
        android:layout_margin="4dp"
        android:src="@drawable/image_select_gif_ic"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/imageIv"
        app:layout_constraintEnd_toEndOf="@id/imageIv" />

    <View
        android:id="@+id/v_mask"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@drawable/imageselect_item_mask"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/imageIv"
        app:layout_constraintEnd_toEndOf="@id/imageIv"
        app:layout_constraintStart_toStartOf="@id/imageIv"
        app:layout_constraintTop_toTopOf="@id/imageIv"
        tools:visibility="visible" />

    <View
        android:id="@+id/v_check_area"
        android:layout_width="40dp"
        android:layout_height="40dp"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_count"
        android:layout_width="wrap_content"
        android:layout_height="18dp"
        android:layout_marginTop="4dp"
        android:layout_marginEnd="4dp"
        android:background="@drawable/imageselect_item_selector"
        android:gravity="center"
        android:minWidth="18dp"
        android:text="9"
        android:textColor="@color/white"
        android:textSize="10sp"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:ignore="SmallSp"
        tools:visibility="visible" />

    <LinearLayout
        android:id="@+id/video_duration_layout"
        android:layout_width="match_parent"
        android:layout_height="30dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="10dp"
            android:src="@drawable/video_select_video_play_white_36_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/video_duration_tv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="4dp"
            android:textColor="@color/white"
            android:textSize="16sp" />
    </LinearLayout>


</androidx.constraintlayout.widget.ConstraintLayout>